GET

yeargroups API

Retrieve and manage yeargroups records from the Apps4Edu sync database.

Endpoint Path

GET /api/yeargroups

CURL Example

curl "https://api.apps4education.co.uk/api/yeargroups?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
id bigint
yearGroupName varchar
yearGroupDescription varchar
yearGroupID int
dataPermissions int
startDate datetime
endDate datetime
created_at timestamp
updated_at timestamp

Response Body (Sample)

{
  "data": [
    {
      "id": 101,
      "yearGroupName": "example_value",
      "yearGroupDescription": "example_value",
      "yearGroupID": 101,
      "dataPermissions": true,
      "startDate": "example_value",
      "endDate": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

page

Optional. Defaults to 1. Used to navigate through paginated results.